> ## Name

> cgGetFirstParameterAnnotation - get the first annotation of a parameter

> ## Synopsis

>     #include <Cg/cg.h>

>     CGannotation cgGetFirstParameterAnnotation( CGparameter param );

> ## Parameters

> param
>   The parameter from which to retrieve the annotation.

> ## Return Values

> Returns the first annotation for the given parameter.

> Returns NULL if the parameter has no annotations or an error occurs.

> ## Description

> The annotations associated with a parameter can be retrieved with cgGetFirstParameterAnnotation. Use cgGetNextAnnotation to iterate through the remainder of the parameter's annotations.

> ## Examples

>     CGannotation ann = cgGetFirstParameterAnnotation( param );
>     while( ann )
>     {
>        /* do something with ann */
>        ann = cgGetNextAnnotation( ann );
>     }

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetFirstParameterAnnotation was introduced in Cg 1.4.

> ## See Also

> cgGetNamedParameterAnnotation, cgGetNextAnnotation